Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ResultVersionTable

    public interface ResultVersionTable

Interface `ResultVersionTable` contains result version records in the report server.

Method Summary
`void` | `commit()` Commits changes into the disk.
`java.util.Vector` | `getResultVersionRecords(java.lang.String catalog, java.lang.String report)` Deprecated. replaced by `getResultVersionRecordsByCatalogReport(String userID, String catalog, String report)`.
`java.util.Vector` | `getResultVersionRecords(java.lang.String catalog, java.lang.String report, java.lang.String submitter)` Deprecated. replaced by `getResultVersionRecords(String userID, String catalog, String report, String submitter)`.
`java.util.Vector` | `getResultVersionRecords(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.lang.String submitter)` Gets result versions through the catalog, the report and the submitter.
`java.util.Vector` | `getResultVersionRecordsByCatalogReport(java.lang.String userID, java.lang.String catalog, java.lang.String report)` Gets result versions through the catalog and the report.
`ResultVersionRecord` | `getVersion(java.lang.String versionID)` Gets the result version through the version ID.
`void` | `removeVersion(java.lang.String versionID)` Deprecated. since version 11.1, no replacement.

Method Detail

### getResultVersionRecords

    java.util.Vector getResultVersionRecords(java.lang.String catalog,
                                             java.lang.String report)
                                             throws RptServerException

  Deprecated. replaced by `getResultVersionRecordsByCatalogReport(String userID, String catalog, String report)`.

  Gets result versions through the catalog and the report. Notice: As of JREntServer 6, when you want to get versions without userID, an RptServerException (encapsulated a NoPrivilegeException) will be thrown, except you set "No Security Checking" as true.

  Parameters:
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
  Returns:
    result versions of the report. The `Vector` contains `ResultVersionRecord` objects.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getResultVersionRecordsByCatalogReport

    java.util.Vector getResultVersionRecordsByCatalogReport(java.lang.String userID,
                                                            java.lang.String catalog,
                                                            java.lang.String report)
                                                            throws RptServerException

  Gets result versions through the catalog and the report.

  Parameters:
    `userID` - the caller of this method.
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
  Returns:
    result versions of the report. The `Vector` contains `ResultVersionRecord` objects.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getResultVersionRecords

    java.util.Vector getResultVersionRecords(java.lang.String catalog,
                                             java.lang.String report,
                                             java.lang.String submitter)
                                             throws RptServerException

  Deprecated. replaced by `getResultVersionRecords(String userID, String catalog, String report, String submitter)`.

  Gets result versions through the catalog, the report and the submitter.

  Parameters:
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `submitter` - the submitter of the result versions.
  Returns:
    result versions. The `Vector` contains `ResultVersionRecord` objects.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getResultVersionRecords

    java.util.Vector getResultVersionRecords(java.lang.String userID,
                                             java.lang.String catalog,
                                             java.lang.String report,
                                             java.lang.String submitter)
                                             throws RptServerException

  Gets result versions through the catalog, the report and the submitter.

  Parameters:
    `userID` - the caller of this method.
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `submitter` - the submitter of the result versions.
  Returns:
    result versions. The `Vector` contains `ResultVersionRecord` objects.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getVersion

    ResultVersionRecord getVersion(java.lang.String versionID)
                                   throws RptServerException

  Gets the result version through the version ID.

  Parameters:
    `versionID` - the result version ID.
  Returns:
    the result version through the version ID.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### removeVersion

    void removeVersion(java.lang.String versionID)
                       throws RptServerException

  Deprecated. since version 11.1, no replacement.

  Removes the result version through the version ID.

  Notice: As of server 6, when you want to remove a version, version id and user id are required, so an RptServerException (encapsulated a NoPrivilegeException) will be thrown during invoking this method, except user sets "No Security Checking" as true. You should use the method `removeVersion(String userID, String versionID)` in `ResourceManager` to remove a version.

  Parameters:
    `versionID` - the result version ID.
  Throws:
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResourceManager.removeVersion(String userID, String versionID);`

### commit

    void commit()
                throws RptServerException

  Commits changes into the disk.

  Throws:
    `RptServerException` - if an RptServerException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD